--
-- Fendt 724 Vario SCR
--  Variotronic screen
--
-- @original author  	CebuljCek
--
-- @author				Sanderrr
-- @date				09/03/2015
--
-- EDITED FOT USE IN NEW HOLLAND T6.160
--

varioTMS = {};

function varioTMS.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function varioTMS:load(xmlFile)
	self.varioDisplay1 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.varioTMS.TMSdisplay1#index"));
	setVisibility(self.varioDisplay1,false);
	self.varioDisplay2 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.varioTMS.TMSdisplay2#index"));
	setVisibility(self.varioDisplay2,false);
	self.varioDisplay3 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.varioTMS.TMSdisplay3#index"));
	setVisibility(self.varioDisplay3,false);
	self.varioDT = 0;
	self.vario1T = 80;
	self.vario2T = 250;
	self.varioPT = 7;
	
	self.isSelectable = true;
end;

function varioTMS:delete()
end;

function varioTMS:readStream(streamId, connection)
end;

function varioTMS:writeStream(streamId, connection)
end;

function varioTMS:readUpdateStream(streamId, timestamp, connection)
end;

function varioTMS:writeUpdateStream(streamId, connection, dirtyMask)
end;

function varioTMS:mouseEvent(posX, posY, isDown, isUp, button)
end;

function varioTMS:keyEvent(unicode, sym, modifier, isDown)
end;

function varioTMS:update(dt)
end;

function varioTMS:updateTick(dt)
	if self:getIsActive() then		
		if self.ignitionMode ~= 0 then
			
			if self.varioDT == self.vario2T then
					setVisibility(self.varioDisplay1, false);
					setVisibility(self.varioDisplay2, false);
					setVisibility(self.varioDisplay3, true);
			
			elseif self.varioDT > self.vario1T and self.varioDT < (self.vario1T + self.varioPT) then
					self.varioDT = self.varioDT + 1;
					setVisibility(self.varioDisplay1, false);
					setVisibility(self.varioDisplay2, false);
					setVisibility(self.varioDisplay3, false);
			
			elseif self.varioDT > (self.vario1T + self.varioPT) and self.varioDT < self.vario2T then
					self.varioDT = self.varioDT + 1;
					setVisibility(self.varioDisplay1, false);
					setVisibility(self.varioDisplay2, true);
					setVisibility(self.varioDisplay3, false);
				else
					self.varioDT = self.varioDT + 1;
					setVisibility(self.varioDisplay1, true);
					setVisibility(self.varioDisplay2, false);
					setVisibility(self.varioDisplay3, false);
			end;
			--renderText(0.5, 0.65, 0.40, string.format(self.varioDT));
		else
			self.varioDT = 0;
			setVisibility(self.varioDisplay1, false);
			setVisibility(self.varioDisplay2, false);
			setVisibility(self.varioDisplay3, false);
		
		end;
	end;
end;

function varioTMS:draw()
end;

function varioTMS:onLeave()
end;

function varioTMS:onEnter()
end;

